<?xml version="1.0"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_file.xsd">
    <system>
        <tab id="bloyal12" translate="label" sortOrder="10">
            <label>Bloyal</label>
        </tab>
		<section id="payment">
			<resource>Bloyal_ClickCollect::payment</resource>
            <group id="storepay" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="200" translate="label">
				<label>Pay at store on Pickup</label>
				<field id="active" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="10" translate="label" type="select" canRestore="1">
					<label>Enabled</label>
					<source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
				</field>
				<field id="title" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="20" translate="label" type="text" canRestore="1">
					<label>Title</label>
				</field>
				<field id="order_status" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="30" translate="label" type="select" canRestore="1">
					<label>New Order Status</label>
					<source_model>Magento\Sales\Model\Config\Source\Order\Status\NewStatus</source_model>
				</field>
				<field id="allowspecific" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="40" translate="label" type="allowspecific" canRestore="1">
					<label>Payment from Applicable Countries</label>
					<source_model>Magento\Payment\Model\Config\Source\Allspecificcountries</source_model>
				</field>
				<field id="specificcountry" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="50" translate="label" type="multiselect">
					<label>Payment from Applicable Countries</label>
					<source_model>Magento\Directory\Model\Config\Source\Country</source_model>
					<can_be_empty>1</can_be_empty>
				</field>
				<field id="sort_order" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="60" translate="label" type="text">
					<label>Sort Order</label>
				</field>
				<field id="instructions" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="70" translate="label" type="textarea">
					<label>Instructions</label>
				</field>
			</group>
        </section>
		<section id="carriers" translate="label" type="text" sortOrder="320" showInDefault="1" showInWebsite="1" showInStore="1">
            
            <group id="pickup" translate="label" type="text" sortOrder="100" showInDefault="1" showInWebsite="1" showInStore="1">
            
                <label>bLoyal Click and Collect</label>
                
                <field id="error" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="0">
                    <frontend_model>Bloyal\ClickCollect\Block\Adminhtml\System\Config\Disable</frontend_model>
                </field>
                
                <field id="active" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="0" canRestore="0">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                    <frontend_model>Bloyal\ClickCollect\Block\Adminhtml\System\Config\DisableField</frontend_model>
                </field>
                <field id="title" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="0">
                    <label>Title</label>
                    <frontend_model>Bloyal\ClickCollect\Block\Adminhtml\System\Config\DisableField</frontend_model>
                </field>
                <field id="name" translate="label" type="text" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="0">
                    <label>Method Name</label>
                    <frontend_model>Bloyal\ClickCollect\Block\Adminhtml\System\Config\DisableField</frontend_model>
                </field>
                <field id="shipping_cost" translate="label" type="text" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="0" >
                    <label>Shipping Cost</label>
                    <validate>validate-number validate-zero-or-greater</validate>
                    <frontend_model>Bloyal\ClickCollect\Block\Adminhtml\System\Config\DisableField</frontend_model>
                </field>
                <field id="sallowspecific" translate="label" type="select" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="0" canRestore="0">
                    <label>Ship to Applicable Countries</label>
                    <frontend_class>shipping-applicable-country</frontend_class>
                    <source_model>Magento\Shipping\Model\Config\Source\Allspecificcountries</source_model>
                    <frontend_model>Bloyal\ClickCollect\Block\Adminhtml\System\Config\DisableField</frontend_model>
                </field>
                <field id="specificcountry" translate="label" type="multiselect" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="0">
                    <label>Ship to Specific Countries</label>
                    <source_model>Magento\Directory\Model\Config\Source\Country</source_model>
                    <can_be_empty>1</can_be_empty>
                    <frontend_model>Bloyal\ClickCollect\Block\Adminhtml\System\Config\DisableField</frontend_model>
                </field>
                <field id="showmethod" translate="label" type="select" sortOrder="70" showInDefault="1" showInWebsite="1" showInStore="0">
                    <label>Show Method if Not Applicable</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                    <frontend_class>shipping-skip-hide</frontend_class>
                    <frontend_model>Bloyal\ClickCollect\Block\Adminhtml\System\Config\DisableField</frontend_model>
                </field>
                <field id="sort_order" translate="label" type="text" sortOrder="80" showInDefault="1" showInWebsite="1" showInStore="0">
                    <label>Sort Order</label>
                    <frontend_model>Bloyal\ClickCollect\Block\Adminhtml\System\Config\DisableField</frontend_model>
                </field>
                <field id="nostoremessage" showInDefault="1" showInWebsite="1" showInStore="0" sortOrder="90" translate="label" type="textarea">
					<label>No Pickup Store Error Message </label>
                    <frontend_model>Bloyal\ClickCollect\Block\Adminhtml\System\Config\DisableField</frontend_model>
				</field>
            </group>
        </section>
    </system>
</config>